Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Card link

  1. Creation of an action for card linking with reference to project_client_id.

  2. Creation of payment amounting to KZT 10.

  3. Merchant redirects to the payment page.

  4. When the payment is proceeded, KZT 10 refunded.

Результат привязки карты мерчант можете узнать в методе получения списка привязанных карт пользователя, Webhook отправляется после списания средств. При последующих оплатах пользователю будут доступны ранее привязанные карты.

POST https://prapi.tarlanpayments.kz/transaction/api/v1/transaction/primal/card-link

Headers

Name
Type
Description

Authorization*

String

Bearer Auto-rotation hash (see Signature Creating)

Request Body

Name
Type
Description

project_id*

Integer

Project ID

merchant_id*

Integer

Merchant ID

project_client_id*

String

Client ID on the project side

success_redirect_url*

String

Project page to which the user will be redirected after successful payment

failure_redirect_url*

String

Project page to which the user will be redirected after unsuccessful payment. If the value parameter was not uploaded, the redirect will be performed to success_redirect_url

description*

String

Description of payment (50 symbols)

additional_data

Object

More Options

callback_url

String

Project URL for sending callback with transaction status (see Sending callback)

Last updated

Was this helpful?